Index: /trunk/admin.php
===================================================================
--- /trunk/admin.php	(revision 8650)
+++ /trunk/admin.php	(revision 8651)
@@ -126,5 +126,4 @@
     'U_CAT_OPTIONS'=> $link_start.'cat_options',
     'U_CAT_UPDATE'=> $link_start.'site_update&amp;site=1',
-    'U_WAITING'=> $link_start.'upload',
     'U_RATING'=> $link_start.'rating',
     'U_CADDIE'=> $link_start.'batch_manager&amp;cat=caddie',
Index: /trunk/admin/cat_modify.php
===================================================================
--- /trunk/admin/cat_modify.php	(revision 8650)
+++ /trunk/admin/cat_modify.php	(revision 8651)
@@ -70,6 +70,4 @@
       'name' => @$_POST['name'],
       'commentable' => isset($_POST['commentable'])?$_POST['commentable']:'false',
-      'uploadable' =>
-        isset($_POST['uploadable']) ? $_POST['uploadable'] : 'false',
       'comment' =>
         $conf['allow_html_descriptions'] ?
@@ -246,5 +244,4 @@
     'CAT_VISIBLE'       => boolean_to_string($category['visible']),
     'CAT_COMMENTABLE'   => boolean_to_string($category['commentable']),
-    'CAT_UPLOADABLE'    => boolean_to_string($category['uploadable']),
 
     'IMG_ORDER_DEFAULT'  => empty($category['image_order']) ?
@@ -305,8 +302,4 @@
       )
     );
-  if (!url_is_remote($category['cat_full_dir']) )
-  {
-    $template->assign('SHOW_UPLOADABLE', true);
-  }
 }
 
Index: /trunk/admin/cat_options.php
===================================================================
--- /trunk/admin/cat_options.php	(revision 8650)
+++ /trunk/admin/cat_options.php	(revision 8651)
@@ -48,14 +48,4 @@
   switch ($_GET['section'])
   {
-    case 'upload' :
-    {
-      $query = '
-UPDATE '.CATEGORIES_TABLE.'
-  SET uploadable = \'false\'
-  WHERE id IN ('.implode(',', $_POST['cat_true']).')
-;';
-      pwg_query($query);
-      break;
-    }
     case 'comments' :
     {
@@ -96,14 +86,4 @@
   switch ($_GET['section'])
   {
-    case 'upload' :
-    {
-      $query = '
-UPDATE '.CATEGORIES_TABLE.'
-  SET uploadable = \'true\'
-  WHERE id IN ('.implode(',', $_POST['cat_false']).')
-;';
-      pwg_query($query);
-      break;
-    }
     case 'comments' :
     {
@@ -163,8 +143,4 @@
 $tabsheet->add('status', l10n('Public / Private'), $opt_link.'status');
 $tabsheet->add('visible', l10n('Lock'), $opt_link.'visible');
-if ($conf['enable_synchronization'])
-{
-  $tabsheet->add('upload', l10n('Upload'), $opt_link.'upload');
-}
 $tabsheet->add('comments', l10n('Comments'), $opt_link.'comments');
 if ($conf['allow_random_representative'])
@@ -183,6 +159,6 @@
 // for each section, categories in the multiselect field can be :
 //
-// - true : uploadable for upload section
-// - false : un-uploadable for upload section
+// - true : commentable for comment section
+// - false : un-commentable for comment section
 // - NA : (not applicable) for virtual categories
 //
@@ -194,29 +170,4 @@
 switch ($page['section'])
 {
-  case 'upload' :
-  {
-    $query_true = '
-SELECT id,name,uppercats,global_rank
-  FROM '.CATEGORIES_TABLE.'
-  WHERE uploadable = \'true\'
-    AND dir IS NOT NULL
-    AND site_id = 1
-;';
-    $query_false = '
-SELECT id,name,uppercats,global_rank
-  FROM '.CATEGORIES_TABLE.'
-  WHERE uploadable = \'false\'
-    AND dir IS NOT NULL
-    AND site_id = 1
-;';
-    $template->assign(
-      array(
-        'L_SECTION' => l10n('Select uploadable albums'),
-        'L_CAT_OPTIONS_TRUE' => l10n('Authorized'),
-        'L_CAT_OPTIONS_FALSE' => l10n('Forbidden'),
-        )
-      );
-    break;
-  }
   case 'comments' :
   {
Index: /trunk/admin/configuration.php
===================================================================
--- /trunk/admin/configuration.php	(revision 8650)
+++ /trunk/admin/configuration.php	(revision 8651)
@@ -59,9 +59,4 @@
     'history_admin',
     'history_guest'
-   );
-
-$upload_checkboxes = array(
-    'upload_link_everytime',
-    'email_admin_on_picture_uploaded',
    );
 
@@ -145,12 +140,4 @@
       break;
     }
-    case 'upload' :
-    {
-      foreach( $upload_checkboxes as $checkbox)
-      {
-        $_POST[$checkbox] = empty($_POST[$checkbox])?'false':'true';
-      }
-      break;
-    }
     case 'default' :
     {
@@ -218,8 +205,4 @@
 $tabsheet->add('history', l10n('History'), $conf_link.'history');
 $tabsheet->add('comments', l10n('Comments'), $conf_link.'comments');
-if ($conf['enable_synchronization'])
-{
-  $tabsheet->add('upload', l10n('Upload'), $conf_link.'upload');
-}
 $tabsheet->add('default', l10n('Guest Settings'), $conf_link.'default');
 // TabSheet selection
@@ -301,26 +284,4 @@
     break;
   }
-  case 'upload' :
-  {
-    $template->assign(
-      'upload',
-      array(
-        'upload_user_access_options'=> get_user_access_level_html_options(ACCESS_GUEST),
-        'upload_user_access_options_selected' => array($conf['upload_user_access'])
-        )
-      );
-    //Necessary for merge_block_vars
-    foreach ($upload_checkboxes as $checkbox)
-    {
-      $template->append(
-          'upload',
-          array(
-            $checkbox => $conf[$checkbox]
-            ),
-          true
-        );
-    }
-    break;
-  }
   case 'default' :
   {
Index: /trunk/admin/help.php
===================================================================
--- /trunk/admin/help.php	(revision 8650)
+++ /trunk/admin/help.php	(revision 8651)
@@ -47,11 +47,4 @@
   'label' => l10n('Groups'),
   );
-if ($conf['enable_synchronization'])
-{
-  $tabs[] = array(
-    'code' => 'user_upload',
-    'label' => l10n('User Upload'),
-    );
-}
 $tabs[] = array(
   'code' => 'virtual_links',
Index: /trunk/admin/include/functions_upgrade.php
===================================================================
--- /trunk/admin/include/functions_upgrade.php	(revision 8650)
+++ /trunk/admin/include/functions_upgrade.php	(revision 8651)
@@ -55,5 +55,4 @@
   define('USER_INFOS_TABLE', $prefixeTable.'user_infos');
   define('USER_FEED_TABLE', $prefixeTable.'user_feed');
-  define('WAITING_TABLE', $prefixeTable.'waiting');
   define('RATE_TABLE', $prefixeTable.'rate');
   define('USER_CACHE_TABLE', $prefixeTable.'user_cache');
Index: /trunk/admin/intro.php
===================================================================
--- /trunk/admin/intro.php	(revision 8650)
+++ /trunk/admin/intro.php	(revision 8651)
@@ -240,23 +240,4 @@
 }
 
-// waiting elements
-$query = '
-SELECT COUNT(*)
-  FROM '.WAITING_TABLE.'
-  WHERE validated=\'false\'
-;';
-list($nb_waiting) = pwg_db_fetch_row(pwg_query($query));
-
-if ($nb_waiting > 0)
-{
-  $template->assign(
-    'waiting',
-    array(
-      'URL' => PHPWG_ROOT_PATH.'admin.php?page=upload',
-      'INFO' => sprintf(l10n('%d waiting for validation'), $nb_waiting)
-      )
-    );
-}
-
 // unvalidated comments
 $query = '
Index: /trunk/admin/site_update.php
===================================================================
--- /trunk/admin/site_update.php	(revision 8650)
+++ /trunk/admin/site_update.php	(revision 8651)
@@ -241,7 +241,4 @@
         'commentable' =>
           boolean_to_string($conf['newcat_default_commentable']),
-        'uploadable'  => $site_is_remote
-          ? 'false'
-          : boolean_to_string($conf['newcat_default_uploadable']),
         'status'      => $conf['newcat_default_status'],
         'visible'     => boolean_to_string($conf['newcat_default_visible']),
@@ -313,5 +310,5 @@
       $dbfields = array(
         'id','dir','name','site_id','id_uppercat','uppercats','commentable',
-        'uploadable','visible','status','rank','global_rank'
+        'visible','status','rank','global_rank'
         );
       mass_inserts(CATEGORIES_TABLE, $dbfields, $inserts);
@@ -360,5 +357,4 @@
 
   $db_elements = array();
-  $db_unvalidated = array();
 
   if (count($cat_ids) > 0)
@@ -374,24 +370,4 @@
         ).')';
     $db_elements = simple_hash_from_query($query, 'id', 'path');
-
-    // searching the unvalidated waiting elements (they must not be taken into
-    // account)
-    $query = '
-SELECT file,storage_category_id
-  FROM '.WAITING_TABLE.'
-  WHERE storage_category_id IN (
-'.wordwrap(implode(', ', $cat_ids), 80, "\n").')
-    AND validated = \'false\'';
-    $result = pwg_query($query);
-    while ($row = pwg_db_fetch_assoc($result))
-    {
-      array_push(
-        $db_unvalidated,
-        array_search(
-          $row['storage_category_id'],
-          $db_fulldirs)
-        .'/'.$row['file']
-        );
-    }
   }
 
@@ -404,5 +380,5 @@
   $insert_links = array();
 
-  foreach (array_diff(array_keys($fs), $db_elements, $db_unvalidated) as $path)
+  foreach (array_diff(array_keys($fs), $db_elements) as $path)
   {
     $insert = array();
@@ -530,58 +506,4 @@
     . get_elapsed_time($start_files, get_moment())
     . ' -->' );
-
-  // retrieving informations given by uploaders
-  if (!$simulate and count($cat_ids) > 0)
-  {
-    $query = '
-SELECT id,file,storage_category_id,infos
-  FROM '.WAITING_TABLE.'
-  WHERE storage_category_id IN (
-'.wordwrap(implode(', ', $cat_ids), 80, "\n").')
-    AND validated = \'true\'';
-    $result = pwg_query($query);
-
-    $datas = array();
-    $fields =
-      array(
-        'primary' => array('id'),
-        'update'  => array('date_creation', 'author', 'name', 'comment')
-        );
-
-    $waiting_to_delete = array();
-
-    while ($row = pwg_db_fetch_assoc($result))
-    {
-      $data = array();
-
-      $query = '
-SELECT id
-  FROM '.IMAGES_TABLE.'
-  WHERE storage_category_id = '.$row['storage_category_id'].'
-    AND file = \''.$row['file'].'\'';
-      list($data['id']) = pwg_db_fetch_row(pwg_query($query));
-
-      foreach ($fields['update'] as $field)
-      {
-        $data[$field] = addslashes( getAttribute($row['infos'], $field) );
-      }
-
-      array_push($datas, $data);
-      array_push($waiting_to_delete, $row['id']);
-    }
-
-    if (count($datas) > 0)
-    {
-      mass_updates(IMAGES_TABLE, $fields, $datas);
-
-      // delete now useless waiting elements
-      $query = '
-DELETE
-  FROM '.WAITING_TABLE.'
-  WHERE id IN ('.implode(',', $waiting_to_delete).')
-;';
-      pwg_query($query);
-    }
-  }
 }
 
Index: /trunk/include/config_default.inc.php
===================================================================
--- /trunk/include/config_default.inc.php	(revision 8650)
+++ /trunk/include/config_default.inc.php	(revision 8651)
@@ -121,8 +121,4 @@
 // or not ?
 $conf['newcat_default_commentable'] = true;
-
-// newcat_default_uploadable : at creation, must a category be uploadable or
-// not ?
-$conf['newcat_default_uploadable'] = false;
 
 // newcat_default_visible : at creation, must a category be visible or not ?
@@ -556,28 +552,4 @@
 // If false it'll be redirected from index.php to identification.php
 $conf['guest_access'] = true;
-
-// +-----------------------------------------------------------------------+
-// |                                upload                                 |
-// +-----------------------------------------------------------------------+
-
-// upload_maxfilesize: maximum filesize for the uploaded pictures. In
-// kilobytes.
-$conf['upload_maxfilesize'] = 200;
-
-// upload_maxheight: maximum height authorized for the uploaded images. In
-// pixels.
-$conf['upload_maxheight'] = 800;
-
-// upload_maxwidth: maximum width authorized for the uploaded images. In
-// pixels.
-$conf['upload_maxwidth'] = 800;
-
-// upload_maxheight_thumbnail: maximum height authorized for the uploaded
-// thumbnails
-$conf['upload_maxheight_thumbnail'] = 128;
-
-// upload_maxwidth_thumbnail: maximum width authorized for the uploaded
-// thumbnails
-$conf['upload_maxwidth_thumbnail'] = 128;
 
 // +-----------------------------------------------------------------------+
Index: /trunk/include/constants.php
===================================================================
--- /trunk/include/constants.php	(revision 8650)
+++ /trunk/include/constants.php	(revision 8651)
@@ -78,6 +78,4 @@
 if (!defined('USER_FEED_TABLE'))
   define('USER_FEED_TABLE', $prefixeTable.'user_feed');
-if (!defined('WAITING_TABLE'))
-  define('WAITING_TABLE', $prefixeTable.'waiting');
 if (!defined('RATE_TABLE'))
   define('RATE_TABLE', $prefixeTable.'rate');
Index: /trunk/include/functions_notification.inc.php
===================================================================
--- /trunk/include/functions_notification.inc.php	(revision 8650)
+++ /trunk/include/functions_notification.inc.php	(revision 8651)
@@ -55,5 +55,5 @@
  *
  * @param string action ('count' or 'info')
- * @param string type of query ('new_comments', 'unvalidated_comments', 'new_elements', 'updated_categories', 'new_users', 'waiting_elements')
+ * @param string type of query ('new_comments', 'unvalidated_comments', 'new_elements', 'updated_categories', 'new_users')
  * @param string start (mysql datetime format)
  * @param string end (mysql datetime format)
@@ -146,10 +146,4 @@
 ;';
       break;
-    case 'waiting_elements':
-      $query = '
-  FROM '.WAITING_TABLE.'
-  WHERE validated = \'false\'
-;';
-      break;
     default:
       // stop this function and return nothing
@@ -177,7 +171,4 @@
         case 'new_users':
           $field_id = 'user_id';
-          break;
-        case 'waiting_elements':
-          $field_id = 'id';
           break;
     }
@@ -206,7 +197,4 @@
           $fields = array('user_id');
           break;
-        case 'waiting_elements':
-          $fields = array('id');
-          break;
       }
 
@@ -345,24 +333,4 @@
 {
   return custom_notification_query('info', 'new_users', $start, $end);
-}
-
-/**
- * currently waiting pictures
- *
- * @return count waiting ids
- */
-function nb_waiting_elements()
-{
-  return custom_notification_query('count', 'waiting_elements', '', '');
-}
-
-/**
- * currently waiting pictures
- *
- * @return array waiting ids
- */
-function waiting_elements()
-{
-  return custom_notification_query('info', 'waiting_elements', $start, $end);
 }
 
@@ -387,6 +355,5 @@
           (nb_updated_categories($start, $end) > 0) or
           ((is_admin()) and (nb_unvalidated_comments($start, $end) > 0)) or
-          ((is_admin()) and (nb_new_users($start, $end) > 0)) or
-          ((is_admin()) and (nb_waiting_elements() > 0))
+          ((is_admin()) and (nb_new_users($start, $end) > 0)))
         );
 }
@@ -454,8 +421,4 @@
         nb_new_users($start, $end), '%d new user', '%d new users',
         get_root_url().'admin.php?page=user_list', $add_url );
-
-    add_news_line( $news,
-        nb_waiting_elements(), '%d waiting element', '%d waiting elements',
-        get_root_url().'admin.php?page=upload', $add_url );
   }
 
Index: /trunk/install/config.sql
===================================================================
--- /trunk/install/config.sql	(revision 8650)
+++ /trunk/install/config.sql	(revision 8651)
@@ -27,9 +27,6 @@
 INSERT INTO piwigo_config (param,value,comment) VALUES ('email_admin_on_comment','false','Send an email to the administrators when a valid comment is entered');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('email_admin_on_comment_validation','false','Send an email to the administrators when a comment requires validation');
-INSERT INTO piwigo_config (param,value,comment) VALUES ('email_admin_on_picture_uploaded','false','Send an email to the administrators when a picture is uploaded');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('obligatory_user_mail_address','false','Mail address is obligatory for users');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('c13y_ignore',null,'List of ignored anomalies');
-INSERT INTO piwigo_config (param,value,comment) VALUES ('upload_link_everytime','false','Show upload link every time');
-INSERT INTO piwigo_config (param,value,comment) VALUES ('upload_user_access',2 /*ACCESS_CLASSIC*/,'User access level to upload');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('extents_for_templates','a:0:{}','Actived template-extension(s)');
 INSERT INTO piwigo_config (param,value,comment) VALUES ('blk_menubar','','Menubar options');
Index: /trunk/install/db/94-database.php
===================================================================
--- /trunk/install/db/94-database.php	(revision 8651)
+++ /trunk/install/db/94-database.php	(revision 8651)
@@ -0,0 +1,93 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'remove user upload as core feature and save config for Community plugin';
+
+$user_upload_conf = array();
+
+// upload_user_access
+$conf_orig = $conf;
+load_conf_from_db();
+$user_upload_conf['upload_user_access'] = $conf['upload_user_access'];
+$conf = $conf_orig;
+
+// unvalidated photos submitted by users
+$query = '
+SELECT *
+  FROM '.PREFIX_TABLE.'waiting
+;';
+$result = pwg_query($query);
+$user_upload_conf['waiting_rows'] = array();
+while ($row = pwg_db_fetch_assoc($result)) {
+  array_push($user_upload_conf['waiting_rows'], $row);
+}
+
+// uploadable categories
+$query = '
+SELECT id
+  FROM '.CATEGORIES_TABLE.'
+  WHERE uploadable = \'true\'
+;';
+$result = pwg_query($query);
+$user_upload_conf['uploadable_categories'] = array();
+while ($row = pwg_db_fetch_assoc($result)) {
+  array_push($user_upload_conf['uploadable_categories'], $row['id']);
+}
+
+// save configuration for a future use by the Community plugin
+$backup_filepath = $conf['local_data_dir'].'/plugins/core_user_upload_to_community.php';
+mkgetdir(dirname($backup_filepath));
+
+file_put_contents(
+  $backup_filepath,
+  '<?php $user_upload_conf = \''.serialize($user_upload_conf).'\'; ?>'
+  );
+
+//
+// remove all what is related to user upload in the database
+//
+
+// categories.uploadable
+pwg_query('ALTER TABLE '.CATEGORIES_TABLE.' DROP COLUMN uploadable;');
+
+// waiting
+pwg_query('DROP TABLE '.PREFIX_TABLE.'waiting;');
+
+// config parameter settings : upload_user_access, upload_link_everytime
+$query = '
+DELETE FROM '.PREFIX_TABLE.'config
+  WHERE param IN (\'upload_user_access\', \'upload_link_everytime\', \'email_admin_on_picture_uploaded\')
+;';
+pwg_query($query);
+
+echo
+"\n"
+. $upgrade_description
+."\n"
+;
+?>
Index: /trunk/install/piwigo_structure-mysql.sql
===================================================================
--- /trunk/install/piwigo_structure-mysql.sql	(revision 8650)
+++ /trunk/install/piwigo_structure-mysql.sql	(revision 8651)
@@ -31,5 +31,4 @@
   `site_id` tinyint(4) unsigned default '1',
   `visible` enum('true','false') NOT NULL default 'true',
-  `uploadable` enum('true','false') NOT NULL default 'false',
   `representative_picture_id` mediumint(8) unsigned default NULL,
   `uppercats` varchar(255) NOT NULL default '',
@@ -447,20 +446,2 @@
   UNIQUE KEY `users_ui1` (`username`)
 ) TYPE=MyISAM;
-
---
--- Table structure for table `piwigo_waiting`
---
-
-DROP TABLE IF EXISTS `piwigo_waiting`;
-CREATE TABLE `piwigo_waiting` (
-  `id` int(10) unsigned NOT NULL auto_increment,
-  `storage_category_id` smallint(5) unsigned NOT NULL default '0',
-  `file` varchar(255) NOT NULL default '',
-  `username` varchar(255) NOT NULL default '',
-  `mail_address` varchar(255) NOT NULL default '',
-  `date` int(10) unsigned NOT NULL default '0',
-  `tn_ext` char(3) default NULL,
-  `validated` enum('true','false') NOT NULL default 'false',
-  `infos` text,
-  PRIMARY KEY  (`id`)
-) TYPE=MyISAM;
Index: /trunk/install/piwigo_structure-pdo-sqlite.sql
===================================================================
--- /trunk/install/piwigo_structure-pdo-sqlite.sql	(revision 8650)
+++ /trunk/install/piwigo_structure-pdo-sqlite.sql	(revision 8651)
@@ -27,5 +27,4 @@
   "site_id" INTEGER default 1,
   "visible" BOOLEAN default true,
-  "uploadable" BOOLEAN default false,
   "representative_picture_id" INTEGER,
   "uppercats" TEXT,
@@ -538,21 +537,2 @@
 CREATE INDEX "comments_i1" ON "piwigo_comments" ("image_id");
 
------------------------------------------------------------------------------
--- piwigo_waiting
------------------------------------------------------------------------------
-
-DROP TABLE IF EXISTS piwigo_waiting;
-CREATE TABLE piwigo_waiting
-(
-  "id" INTEGER NOT NULL,
-  "storage_category_id" INTEGER default 0 NOT NULL,
-  "file" VARCHAR(255) default '' NOT NULL,
-  "username" VARCHAR(255) default '' NOT NULL,
-  "mail_address" VARCHAR(255) default '' NOT NULL,
-  "date" INTEGER default 0 NOT NULL,
-  "tn_ext" CHAR(3),
-  "validated" BOOLEAN default false,
-  "infos" TEXT,
-  PRIMARY KEY ("id")
-);
-
Index: /trunk/install/piwigo_structure-pgsql.sql
===================================================================
--- /trunk/install/piwigo_structure-pgsql.sql	(revision 8650)
+++ /trunk/install/piwigo_structure-pgsql.sql	(revision 8651)
@@ -34,5 +34,4 @@
   "site_id" INTEGER default 1,
   "visible" BOOLEAN default true,
-  "uploadable" BOOLEAN default false,
   "representative_picture_id" INTEGER,
   "uppercats" TEXT,
@@ -653,26 +652,2 @@
 
 CREATE INDEX "comments_i1" ON "piwigo_comments" ("image_id");
-
------------------------------------------------------------------------------
--- piwigo_waiting
------------------------------------------------------------------------------
-
-DROP TABLE IF EXISTS "piwigo_waiting" CASCADE;
-CREATE TABLE "piwigo_waiting"
-(
-  "id" serial  NOT NULL,
-  "storage_category_id" INTEGER default 0 NOT NULL,
-  "file" VARCHAR(255) default '' NOT NULL,
-  "username" VARCHAR(255) default '' NOT NULL,
-  "mail_address" VARCHAR(255) default '' NOT NULL,
-  "date" INTEGER default 0 NOT NULL,
-  "tn_ext" CHAR(3),
-  "validated" BOOLEAN default false,
-  "infos" TEXT,
-  PRIMARY KEY ("id")
-);
-
-COMMENT ON TABLE "piwigo_waiting" IS '';
-
-
-SET search_path TO public;
Index: /trunk/install/piwigo_structure-sqlite.sql
===================================================================
--- /trunk/install/piwigo_structure-sqlite.sql	(revision 8650)
+++ /trunk/install/piwigo_structure-sqlite.sql	(revision 8651)
@@ -27,5 +27,4 @@
   "site_id" INTEGER default 1,
   "visible" BOOLEAN default true,
-  "uploadable" BOOLEAN default false,
   "representative_picture_id" INTEGER,
   "uppercats" TEXT,
@@ -537,22 +536,2 @@
 CREATE INDEX "comments_i2" ON "piwigo_comments" ("validation_date");
 CREATE INDEX "comments_i1" ON "piwigo_comments" ("image_id");
-
------------------------------------------------------------------------------
--- piwigo_waiting
------------------------------------------------------------------------------
-
-DROP TABLE IF EXISTS piwigo_waiting;
-CREATE TABLE piwigo_waiting
-(
-  "id" INTEGER NOT NULL,
-  "storage_category_id" INTEGER default 0 NOT NULL,
-  "file" VARCHAR(255) default '' NOT NULL,
-  "username" VARCHAR(255) default '' NOT NULL,
-  "mail_address" VARCHAR(255) default '' NOT NULL,
-  "date" INTEGER default 0 NOT NULL,
-  "tn_ext" CHAR(3),
-  "validated" BOOLEAN default false,
-  "infos" TEXT,
-  PRIMARY KEY ("id")
-);
-
Index: /trunk/language/ar_SA/admin.lang.php
===================================================================
--- /trunk/language/ar_SA/admin.lang.php	(revision 8650)
+++ /trunk/language/ar_SA/admin.lang.php	(revision 8651)
@@ -47,6 +47,4 @@
 $lang['%d users'] = '%d مستخدمين';
 $lang['%d waiting for validation'] = '%d ينتظر المصادقة';
-$lang['%d waiting pictures rejected'] = '%d لم يتم المصادقه على الصورة';
-$lang['%d waiting pictures validated'] = '%d تم المصادقة على الصورة';
 $lang['Actions'] = 'الاجراءات';
 $lang['Activate'] = 'تفعيل';
@@ -89,5 +87,4 @@
 $lang['Email admins when a valid comment is entered'] = 'اعلم المدير عند اي تعليق جديد';
 $lang['Email admins when a comment requires validation'] = 'اعلم المدير للمصادقة على تعليقات جديدة';
-$lang['Email admins when a picture is uploaded'] = 'اعلم المدير عن تحميل صورة جديدة';
 $lang['Empty caddie'] = 'الساعد فارغ';
 $lang['Environment'] = 'البيئة';
@@ -148,5 +145,4 @@
 $lang['Rating by guests'] = 'امكانية التقييم للضيوف';
 $lang['Rating'] = 'تقييم';
-$lang['Reject All'] = 'رفض الجميع';
 $lang['Reject'] = 'رفض';
 $lang['Representant'] = ' موصوف أو مُـمثل';
@@ -174,5 +170,4 @@
 $lang['User comments validation'] = 'تعليقات تنتظر التصريح';
 $lang['Users'] = 'المستخدمين';
-$lang['Validate All'] = 'تصريح الكل';
 $lang['Validate'] = 'تصريح';
 $lang['Validation'] = 'التصريح';
@@ -198,5 +193,4 @@
 $lang['Public / Private'] = 'العام/ الخاص';
 $lang['Manage authorizations for selected albums'] = 'ادارة  تصريح التعليقات على الألبومات';
-$lang['Select uploadable albums'] = 'اختيارالألبوم المحمل';
 $lang['Virtual album added'] = 'الألبوم المضاف';
 $lang['Virtual album deleted'] = 'الألبوم المحذوف';
@@ -217,5 +211,4 @@
 $lang['edit album permissions'] = 'تحرير تصاريح الألبوم';
 $lang['Album updated successfully'] = 'تم تحديث معلومات الألبومات بنجاح منقط النظير.';
-$lang['Authorize upload'] = 'السماح بالتحميل';
 $lang['elements per page'] = 'عدد في كل صفحة';
 $lang['elements'] = 'عناصر';
@@ -363,5 +356,4 @@
 $lang['Thumbnail creation'] = 'إنشاء المصغرات';
 $lang['Database synchronization with files'] = 'قاعدة بيانت المزامنة مع الملفات';
-$lang['Pictures waiting for validation'] = 'صور في انتظار التصريح من قبل حضرتكم';
 $lang['all'] = 'الكل';
 $lang['pictures without thumbnail (jpeg and png only)'] = 'صور بدون مصغرات(jpeg و png فقط)';
@@ -553,6 +545,4 @@
 $lang['Can\'t connect to server.'] = 'يمكن\'لا الاتصال بالخادم.';
 $lang['Purge compiled templates'] = 'معالجة جميع النماذج';
-$lang['Show upload link every time'] = 'اظهر رابط التحميل في كل وقت';
-$lang['User access level to upload'] = 'مستوى موصول المستخدمين للتحميل';
 $lang['ACCESS_0'] = 'حرية الوصول';
 $lang['ACCESS_1'] = 'الوصول للجميع';
@@ -728,5 +718,4 @@
 $lang['The following tag was deleted'] = 'هذه الكلمات الدلائلية حُـذفت';
 $lang['Miscellaneous'] = 'متفرقات';
-$lang['User Upload'] = 'مستخدم الرفع';
 $lang['Virtual Links'] = 'روابط ظاهرة';
 $lang['There is no other language available.'] = 'ليس هناك لغة أخرى متاحة.';
Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 8650)
+++ /trunk/language/ar_SA/common.lang.php	(revision 8651)
@@ -45,6 +45,4 @@
 $lang['%d new user'] = '%d مسخدم جديد';
 $lang['%d new users'] = '%d مستخدمين جدد';
-$lang['%d waiting element'] = '%d انتظار العنصر';
-$lang['%d waiting elements'] = '%d انتظار الصور';
 $lang['About'] = 'لماذا؟؟';
 $lang['All tags'] = 'كل الكلمات الدلائلية';
@@ -328,5 +326,4 @@
 $lang['Picture name: %s'] = 'اسم الصورة: %s';
 $lang['Creation date: %s'] = 'التاريخ الاصلي للصورة: %s';
-$lang['Waiting page: %s'] = 'صفحة تنتظر: %s';
 $lang['Picture uploaded by %s'] = 'حملت الصورة بواسطة  %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'وضغ سيئ للضيف "ضيف", استخدم الحالة الافرتاضية. يرجى ابلاغ المسؤول عن الموقع.';
Index: /trunk/language/ca_ES/admin.lang.php
===================================================================
--- /trunk/language/ca_ES/admin.lang.php	(revision 8650)
+++ /trunk/language/ca_ES/admin.lang.php	(revision 8651)
@@ -47,6 +47,4 @@
 $lang['%d users'] = '%d usuaris';
 $lang['%d waiting for validation'] = '%d s\'està esperant per a que es validi';
-$lang['%d waiting pictures rejected'] = '%d s\'està esperant per rebutjar la imatge';
-$lang['%d waiting pictures validated'] = '%d s\'està esperant per rebutjar les imatges';
 $lang['Actions'] = 'Accions';
 $lang['Activate'] = 'Activa';
@@ -89,5 +87,4 @@
 $lang['Email admins when a valid comment is entered'] = 'Envia un correu electrònic als administradors quan s\'hagi introduït un comentari vàlid';
 $lang['Email admins when a comment requires validation'] = 'Envia un correu electrònic als administradors quan un comentari requereixi validació';
-$lang['Email admins when a picture is uploaded'] = 'Envia un correu electrònic als administradors quan es pugi una imatge';
 $lang['Empty caddie'] = 'Buida carret';
 $lang['Environment'] = 'Entorn';
@@ -148,5 +145,4 @@
 $lang['Rating by guests'] = 'Valoració pels invitats';
 $lang['Rating'] = 'Valoració';
-$lang['Reject All'] = 'Rebutjar tot';
 $lang['Reject'] = 'Rebutja';
 $lang['Representant'] = 'Representant';
@@ -174,5 +170,4 @@
 $lang['User comments validation'] = 'Validació dels comentaris d\'usuari';
 $lang['Users'] = 'Usuaris';
-$lang['Validate All'] = 'Valida\'ls tots';
 $lang['Validate'] = 'Valida';
 $lang['Validation'] = 'Validació';
@@ -198,5 +193,4 @@
 $lang['Public / Private'] = 'Public / Private';
 $lang['Manage authorizations for selected albums'] = 'Manage authorizations for selected categories';
-$lang['Select uploadable albums'] = 'Select uploadable categories';
 $lang['Virtual album added'] = 'Virtual category added';
 $lang['Virtual album deleted'] = 'Virtual category deleted';
@@ -217,5 +211,4 @@
 $lang['edit album permissions'] = 'edita els permisos de la categoria';
 $lang['Album updated successfully'] = 'La informació de la categoria s\'ha actualitat correctament.';
-$lang['Authorize upload'] = 'Autoritza càrrega';
 $lang['elements per page'] = 'elements per pàgina';
 $lang['elements'] = 'elements';
@@ -367,5 +360,4 @@
 $lang['Thumbnail creation'] = 'Creació de miniatures';
 $lang['Database synchronization with files'] = 'Sincronització de la base de dades amb fitxers';
-$lang['Pictures waiting for validation'] = 'Imatges pendents per validar';
 $lang['all'] = 'totes';
 $lang['pictures without thumbnail (jpeg and png only)'] = 'imatges sense miniatura (només jpeg i png)';
@@ -561,6 +553,4 @@
 $lang['Purge compiled templates'] = 'Elimina les plantilles compilades';
 $lang['Upload'] = 'Penja';
-$lang['Show upload link every time'] = 'Mostra l\'enllaç de penjar cada vegada';
-$lang['User access level to upload'] = 'Nivell d\'accés d\'usuari per penjar';
 $lang['ACCESS_0'] = 'Lliure accés';
 $lang['ACCESS_1'] = 'Accés a tothom';
